<div class="container settings">
  <form [formGroup]="profileForm" (ngSubmit)="onSubmit()">
    <!-- FIRST NAME FIELD -->
    <!-- Structure the form using bootstrap form-group class -->
    <fieldset class="mb-3 form-group">
      <!--bootstrap class form-label-->
      <label class="form-label" for="first-name">First Name: </label>
      <!--bootstrap class form-control-->
      <!--basic form validation-->
      <!--see global CSS for red/green input validity indicator-->
      <input id="first-name" formControlName="first_name" type="text" class="form-control" />

      <!--structural directive *ngIf allows us to check for validations-->
      <ul *ngIf="firstName!.invalid && (firstName!.dirty || firstName!.touched)">
        <li *ngIf="firstName!.errors?.required" class="text-danger small">
          First name is required
        </li>
        <li *ngIf="firstName!.errors?.minlength" class="text-danger small">
          First name must be at least 2 characters long
        </li>
        <li *ngIf="firstName!.errors?.maxlength" class="text-danger small">
          First name exceeds maximum allowed length
        </li>
        <li *ngIf="firstName!.errors?.pattern" class="text-danger small">
          First name cannot contain numbers or symbols
        </li>
      </ul>
    </fieldset>

    <!-- LAST NAME FIELD -->
    <!-- Structure the form using bootstrap form-group class -->
    <fieldset class="mb-3 form-group">
      <!--bootstrap class form-label-->
      <label class="form-label" for="last-name">Last Name: </label>
      <!--bootstrap class form-control-->
      <!--basic form validation-->
      <!--see global CSS for red/green input validity indicator-->
      <input id="last-name" formControlName="last_name" type="text" class="form-control" />

      <!--structural directive *ngIf allows us to check for validations-->
      <!-- list of errors -->
      <ul *ngIf="lastName!.invalid && (lastName!.dirty || lastName!.touched)">
        <li *ngIf="lastName!.errors?.required" class="text-danger small">
          Last name is required
        </li>
        <li *ngIf="lastName!.errors?.minlength" class="text-danger small">
          Last name must be at least 2 characters long
        </li>
        <li *ngIf="lastName!.errors?.maxlength" class="text-danger small">
          Last name exceeds maximum allowed length
        </li>
        <li *ngIf="lastName!.errors?.pattern" class="text-danger small">
          Last name cannot contain numbers or symbols
        </li>
      </ul>
    </fieldset>

    <!-- EMAIL FIELD -->
    <!-- Structure the form using bootstrap form-group class -->
    <fieldset class="mb-3 form-group">
      <!--bootstrap class form-label-->
      <label class="form-label" for="email">Email: </label>
      <!--bootstrap class form-control-->
      <!--basic form validation-->
      <!--see global CSS for red/green input validity indicator-->
      <input id="email" formControlName="email" type="text" class="form-control" [readonly]="true" />

      <!--structural directive *ngIf allows us to check for validations-->
      <!-- list of errors -->
      <ul *ngIf="email!.invalid && (email!.dirty || email!.touched)">
        <li *ngIf="email!.errors?.required" class="text-danger small">
          Email is required
        </li>
        <li *ngIf="email!.errors?.pattern" class="text-danger small">
          Invalid email
        </li>
        <li *ngIf="email!.errors?.maxlength" class="text-danger small">
          Email exceeds maximum allowed length
        </li>
      </ul>
    </fieldset>

    <!-- DATE OF BIRTH FIELD -->
    <!-- Structure the form using bootstrap form-group class -->
    <fieldset class="mb-3 form-group">
      <!--bootstrap class form-label-->
      <label class="form-label" for="dob">Date of Birth: </label>
      <!--bootstrap class form-control-->
      <!--basic form validation-->
      <!--see global CSS for red/green input validity indicator-->

      <!-- update min and max date logically on today's date -->
      <!-- yyyy-mm-dd -->

      <input id="dob" formControlName="birthday" type="date" class="form-control" />

      <!--structural directive *ngIf allows us to check for validations-->
      <!-- list of errors -->
      <ul *ngIf="dob!.invalid && (dob!.dirty || dob!.touched)">
        <li *ngIf="dob!.errors?.required" class="text-danger small">
          Date of birth is required
        </li>
        <li *ngIf="dob!.errors?.maxyear" class="text-danger small">
          Are you sure you are that old?
        </li>
        <li *ngIf="dob!.errors?.minyear" class="text-danger small">
          You need to be at least 16
        </li>
      </ul>
    </fieldset>

    <!--COUNTRY OF RESIDENCE FIELD -->
    <fieldset class="mb-3 form-group">
      <label class="form-label" for="country">Country of Residence: </label>
      <select id="country" formControlName="country_id" class="form-control">
        <option *ngFor="let item of countryList" [ngValue]="item.id">
          {{ item.country_name }}
        </option>
      </select>
      <!--structural directive *ngIf allows us to check for validations-->
      <!-- list of errors -->
      <ul *ngIf="country!.invalid && (country!.dirty || country!.touched)">
        <li *ngIf="country!.errors?.required" class="text-danger small">
          Country is required
        </li>
      </ul>
    </fieldset>

    <!-- ZIP CODE FIELD -->
    <!-- Structure the form using bootstrap form-group class -->
    <fieldset class="mb-3 form-group">
      <!--bootstrap class form-label-->
      <label class="form-label" for="zipCode">ZIP Code: </label>
      <!--bootstrap class form-control-->
      <!--basic form validation-->
      <!--see global CSS for red/green input validity indicator-->
      <input id="zipCode" formControlName="zip_code" type="text" class="form-control" />

      <!--structural directive *ngIf allows us to check for validations-->
      <!-- list of errors -->
      <ul *ngIf="zipCode!.invalid && (zipCode!.dirty || zipCode!.touched)">
        <li *ngIf="zipCode!.errors?.required" class="text-danger small">
          ZIP code is required
        </li>
        <li *ngIf="zipCode!.errors?.maxlength" class="text-danger small">
          ZIP code exceeds maximum allowed length
        </li>
      </ul>
    </fieldset>

    <!-- CONTACT NUMBER FIELD -->
    <!-- Structure the form using bootstrap form-group class -->
    <fieldset class="mb-3 form-group">
      <!--bootstrap class form-label-->
      <label class="form-label" for="phone">Phone: </label>
      <!--bootstrap class form-control-->
      <!--basic form validation-->
      <!--see global CSS for red/green input validity indicator-->
      <input id="phone" formControlName="phone_number" type="text" class="form-control" />

      <!--structural directive *ngIf allows us to check for validations-->
      <!-- list of errors -->
      <ul *ngIf="phone!.invalid && (phone!.dirty || phone!.touched)">
        <li *ngIf="phone!.errors?.required" class="text-danger small">
          Phone number is required
        </li>
        <li *ngIf="phone!.errors?.pattern" class="text-danger small">
          Please enter a valid phone number
        </li>
        <li *ngIf="phone!.errors?.maxlength" class="text-danger small">
          Phone number exceeds maximum allowed length
        </li>
        <li *ngIf="phone!.errors?.minlength" class="text-danger small">
          Phone number must have minimum length
        </li>
      </ul>
    </fieldset>

    <!-- CANCEL BUTTON -->
    <button (click)="resetForm()" type="button" mat-raised-button color="basic">
      Cancel
    </button>

    <!-- small space -->
    &nbsp;

    <!-- SUBMIT BUTTON -->
    <button mat-raised-button color="primary" type="submit" [disabled]="!profileForm.valid">
      Submit
    </button>
  </form>
</div>